package com.gh.gamecenter.common.retrofit;

import org.json.JSONArray;

import okhttp3.ResponseBody;

/**
 * Created by LGT on 2016/11/7.
 * JSONArray
 */
public class JSONArrayResponse extends Response<ResponseBody> {

    @Override
    public void onResponse(ResponseBody responseBody) {
        try {
            onResponse(new JSONArray(responseBody.string()));
        } catch (Exception e) {
            onError(e);
        }
    }

    public void onResponse(JSONArray response) {

    }

}
